error with OMV5 Update Management

  • Hello,


    I've got an error message when I'm doing an manual update search at the update managment. I've alredy read that omv-extras was moved to github, and I followed these instructions: update


    But I still get the following error:





    If I try to change setting under OMV-Extras I get an additional error message:


    Code
    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; omv-salt deploy run --no-color omvextras 2>&1' with exit code '1': debian: ---------- ID: omvextrasbaserepo Function: pkgrepo.managed Name: deb https://openmediavault-plugin-developers.github.io/packages/debian usul main Result: True Comment: Package repo 'deb https://openmediavault-plugin-developers.github.io/packages/debian usul main' already configured Started: 11:37:52.621307 Duration: 73.974 ms Changes: ---------- ID: deb https://openmediavault-plugin-developers.github.io/packages/debian usul-testing main Function: pkgrepo.absent Result: True Comment: Package repo deb https://openmediavault-plugin-developers.github.io/packages/debian usul-testing main is absent Started: 11:37:52.695406 Duration: 31.261 ms Changes: ---------- ID: deb https://openmediavault-plugin-developers.github.io/packages/debian usul-extras main Function: pkgrepo.absent Result: True Comment: Package repo deb https://openmediavault-plugin-developers.github.io/packages/debian usul-extras main is absent Started: 11:37:52.726752 Duration: 31.103 ms Changes: ---------- ID: deb [arch=amd64] https://download.docker.com/linux/debian buster stable Function: pkgrepo.managed Result: True Comment: Package repo 'deb [arch=amd64] https://download.docker.com/linux/debian buster stable' already configured Started: 11:37:52.757940 Duration: 84.294 ms Changes: ---------- ID: deb http://linux.teamviewer.com/deb stable main Function: pkgrepo.managed Result: True Comment: Package repo 'deb http://linux.teamviewer.com/deb stable main' already configured Started: 11:37:52.842334 Duration: 61.564 ms Changes: ---------- ID: configure_apt_pref_omvextras Function: file.managed Name: /etc/apt/preferences.d/omvextras.pref Result: True Comment: File /etc/apt/preferences.d/omvextras.pref is in the correct state Started: 11:37:52.905116 Duration: 25.432 ms Changes: ---------- ID: refresh_database_apt Function: module.run Result: False Comment: An exception occurred in this state: Traceback (most recent call last): File "/usr/lib/python3/dist-packages/salt/state.py", line 2172, in call *cdata["args"], **cdata["kwargs"] File "/usr/lib/python3/dist-packages/salt/loader.py", line 1235, in __call__ return self.loader.run(run_func, *args, **kwargs) File "/usr/lib/python3/dist-packages/salt/loader.py", line 2268, in run return self._last_context.run(self._run_as, _func_or_method, *args, **kwargs) File "/usr/lib/python3/dist-packages/salt/loader.py", line 2283, in _run_as return _func_or_method(*args, **kwargs) File "/usr/lib/python3/dist-packages/salt/loader.py", line 2316, in wrapper return f(*args, **kwargs) File "/usr/lib/python3/dist-packages/salt/utils/decorators/__init__.py", line 746, in _decorate return self._call_function(kwargs) File "/usr/lib/python3/dist-packages/salt/utils/decorators/__init__.py", line 377, in _call_function six.reraise(*sys.exc_info()) File "/usr/lib/python3/dist-packages/salt/ext/six.py", line 693, in reraise raise value File "/usr/lib/python3/dist-packages/salt/utils/decorators/__init__.py", line 360, in _call_function return self._function(*args, **kwargs) File "/usr/lib/python3/dist-packages/salt/states/module.py", line 428, in run _func, returner=kwargs.get("returner"), func_args=kwargs.get(func) File "/usr/lib/python3/dist-packages/salt/states/module.py", line 473, in _call_function mret = salt.utils.functools.call_function(__salt__[name], *func_args, **func_kwargs) File "/usr/lib/python3/dist-packages/salt/utils/functools.py", line 159, in call_function return salt_function(*function_args, **function_kwargs) File "/usr/lib/python3/dist-packages/salt/loader.py", line 1235, in __call__ return self.loader.run(run_func, *args, **kwargs) File "/usr/lib/python3/dist-packages/salt/loader.py", line 2268, in run return self._last_context.run(self._run_as, _func_or_method, *args, **kwargs) File "/usr/lib/python3/dist-packages/salt/loader.py", line 2283, in _run_as return _func_or_method(*args, **kwargs) File "/usr/lib/python3/dist-packages/salt/modules/aptpkg.py", line 406, in refresh_db raise CommandExecutionError(comment) salt.exceptions.CommandExecutionError: E: The repository 'http://ppa.launchpad.net/ondrej/php/ubuntu jammy Release' does not have a Release file. Started: 11:37:52.930970 Duration: 3228.627 ms Changes: Summary for debian ------------ Succeeded: 6 Failed: 1 ------------ Total states run: 7 Total run time: 3.536 s


    I really would appriciate if someone can support me with this case


    Thanks

  • Code
    Err:18 http://ppa.launchpad.net/ondrej/php/ubuntu jammy Release 404 Not Found [IP: 91.189.95.85 80]

    Remove that repo from your sources (it's non-existant, as I see it):

    sudo nano /etc/apt/sources.list and prepend a # on every mention to that repo.


    Check all lists to see if there's any mention elsewhere:

    ls -al /etc/apt/

    ls -al /etc/apt/sources.list.d/


    As for the 2nd error:

    RE: upgrade done, WebGui requiring changes to be applied, generating long error message

  • macom

    Added the Label resolved

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!